Bug 72302 - rpm-4.0.4-7x corruption report
rpm-4.0.4-7x corruption report
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-22 16:49 EDT by R P Herrold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-23 00:47:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-08-22 16:49:48 EDT
corruption in excess of rpm-list repair instructions report:

 http://www.rpm.org/hintskinks/repairdb/

Assistance would be appreciated.   

[root@dragnet rpm]# rpm -q rpm
rpm-4.0.4-7x
[root@dragnet rpm]# rpm -V rpm
.....UG. c /var/lib/rpm/Basenames
.....UG. c /var/lib/rpm/Conflictname
.....UG. c /var/lib/rpm/Dirnames
.....UG. c /var/lib/rpm/Filemd5s
.....UG. c /var/lib/rpm/Group
.....UG. c /var/lib/rpm/Installtid
.....UG. c /var/lib/rpm/Name
.....UG. c /var/lib/rpm/Packages
.....UG. c /var/lib/rpm/Providename
.....UG. c /var/lib/rpm/Provideversion
.....UG. c /var/lib/rpm/Requirename
.....UG. c /var/lib/rpm/Requireversion
.....UG. c /var/lib/rpm/Sha1header
.....UG. c /var/lib/rpm/Sigmd5
.....UG. c /var/lib/rpm/Triggername
.....UG. c /var/lib/rpm/__db.001
.....UG. c /var/lib/rpm/__db.002
[root@dragnet rpm]#


aumix-2.7-8
db2-devel-2.4.14-10
gdm-2.2.3.1-22
error: rpmdb: damaged header instance #708 retrieved, skipping.
error: rpmdb: damaged header instance #712 retrieved, skipping.
db2-devel-2.4.14-10
timidity++-2.11.3-1
MAKEDEV-3.3-4
Segmentation fault (core dumped)
[root@dragnet rpm]# history | tail 
  141  reboot
  142  cd /var/lib
  143  rpm -q rpm
  144  cat /etc/redhat-release
  145  cd rpm ;  db_verify Packages
  146  pwd
  147                  mv Packages Packages-ORIG
  148                  db_dump Packages-ORIG | db_load Packages
  149   rpm -qa
  150  history | tail 
[root@dragnet rpm]#
Comment 1 R P Herrold 2002-08-22 16:52:11 EDT
Packages is kinda fat ...

[root@dragnet rpm]# ls -al Pa*
-rw-r--r--    1 root     root     18079744 Aug 22 16:44 Packages
-rw-r--r--    1 root     root     17829888 Aug 21 15:19 Packages-ORIG
[root@dragnet rpm]#

I can gzip them and place them where you can grab them.


[root@dragnet rpm]# cp Packages-ORIG Packages-ORIG-to-gzip
[root@dragnet rpm]# gzip -9 Packages-ORIG-to-gzip
[root@dragnet rpm]# ls -al Pa*
-rw-r--r--    1 root     root     18079744 Aug 22 16:44 Packages
-rw-r--r--    1 root     root     17829888 Aug 21 15:19 Packages-ORIG
-rw-r--r--    1 root     root      5680525 Aug 22 16:51 Packages-ORIG-to-gzip.gz
[root@dragnet rpm]#
Comment 2 R P Herrold 2002-08-22 16:54:46 EDT
private email sent with URL of the gzip
Comment 3 R P Herrold 2002-08-23 00:47:36 EDT
fix provided offline from rpm-4.1-0.87 works fine -- thanks

Note You need to log in before you can comment on or make changes to this bug.